Prevent Entropy downgrade [Solved]

Anything that pertains to Entropy, Equo or Sulfur

Moderator: Moderators

Prevent Entropy downgrade [Solved]

Postby vault » Mon Jun 08, 2009 18:08

I installed rubyripper a couple of weeks ago through Portage since it isn't available through Entropy. Then I synced equo with portage because I thought that it was a good idea for entropy to know about the packages I installed from source. Today I tried to do a world update and equo indicated that it wanted to downgrade all of the ruby packages that are higher than what is available in the sabayon repo and remove the packages that are not available in the sabayon repo. Is there some way to go back and tell equo to ignore the packages in gentoo-db and prevent the downgrade/removal? Thanks.
vault
Baby Hen
 
Posts: 2
Joined: Mon Jun 08, 2009 17:56

Re: Prevent Entropy downgrade

Postby wolfden » Mon Jun 08, 2009 22:53

you can use the entropy mask file and mask entropy packages

how did u sync entropy with portage?
wolfden
Sharecropper
 
Posts: 9050
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Re: Prevent Entropy downgrade

Postby Fitzcarraldo » Mon Jun 08, 2009 23:47

See also the following thread, including the edit to /etc/entropy/client.conf

how to make equo world ignore packages?
User avatar
Fitzcarraldo
Sagely Hen
 
Posts: 7977
Joined: Sat Mar 10, 2007 5:40
Location: United Kingdom

Re: Prevent Entropy downgrade

Postby vault » Tue Jun 09, 2009 14:21

I used 'equo database gentoosync' to sync entropy and portage. I might try the 'ignore-spm-downgrades|enable' option in /etc/entropy/client.conf since that would be easier than masking all of the packages that it is going to downgrade. I've only installed a few packages through portage so I think it's unlikely to break anything. Thanks.
vault
Baby Hen
 
Posts: 2
Joined: Mon Jun 08, 2009 17:56


Return to Entropy|Equo|Rigo Package Managers

Who is online

Users browsing this forum: No registered users and 2 guests

cron